function Users(core){
    this.client = core.client;
}

const colleaguesPath = '/v1/PBX/Colleagues/';
const registrationsPath = '/v1/PBX/Users/';

Object.assign(Users.prototype, {
    namespace: 'Users',

    get(params) {
        return this.client.send('GET', colleaguesPath, params);
    },
    create(params) {
        return this.client.send('POST', colleaguesPath, params);
    },
    update(id, params) {
        return this.client.send('PUT', `${colleaguesPath}/${id}/`, params);
    },
    remove(id, params) {
        return this.client.send('DELETE', `${colleaguesPath}/${id}/${params}`);
    },
    getRegistrations(users) {
        return this.client.send('GET', `${registrationsPath}${users.join(',')}/Sip/Registrations/`);
    }
});

export default Users;
